%define name ZynAddSubFX
%define version 2.2.1
%define docver 1.4.3

Summary: Real-time MIDI software synthesizer
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source0: http://prdownloads.sourceforge.net/zynaddsubfx/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/zynaddsubfx/%name-doc-%docver.tar.gz
Patch: ZynAddSubFX-2.2.0-makefile.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://sourceforge.net/projects/zynaddsubfx
BuildRequires: libalsa-devel
BuildRequires: fltk-devel
BuildRequires: fftw3-devel
BuildRequires: libjack-devel
BuildRequires: mxml-devel

%description

A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%prep
%setup -q -a 1 -n %name-%{version}
%patch -p1 -b .makefile

chmod 644 *.txt
mv %name-doc-%docver html
#use single precision fftw
#gw doesn't build with fftw3
#for a in src/Make* ; do perl -pi -e 's/lrfftw/lsrfftw/' $a ; done
#for a in src/Make* ; do perl -pi -e 's/lfftw/lsfftw/' $a ; done 

%build
cd src
make OPTFLAGS="%optflags"
cd ../ExternalPrograms/Spliter
export PATH=$PATH:.
./compile.sh
cd ../Controller/
./compile.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir %buildroot/%_menudir
cp src/zynaddsubfx %buildroot/%_bindir
cp ExternalPrograms/Spliter/spliter %buildroot/%_bindir
cp ExternalPrograms/Controller/controller %buildroot/%_bindir
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="%name"\
longtitle="Real-time MIDI software synth"\
command="%_bindir/zynaddsubfx"\
icon="sound_section.png" xdg="true"

?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="Spliter"\
longtitle="MIDI keyboard spliter for ZynAddSubFX"\
command="%_bindir/spliter"\
icon="sound_section.png" xdg="true"

?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="Controller"\
longtitle="MIDI controller for ZynAddSubFX"\
command="%_bindir/controller"\
icon="sound_section.png" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-zynaddsubfx.desktop << EOF
[Desktop Entry]
Name=Zynaddsubfx
Comment=Real-time MIDI software synth
Exec=%{_bindir}/zynaddsubfx
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Midi
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-spliter.desktop << EOF
[Desktop Entry]
Name=Spliter
Comment=MIDI keyboard spliter for ZynAddSubFX
Exec=%{_bindir}/spliter
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Midi
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-controller.desktop << EOF
[Desktop Entry]
Name=Controller
Comment=MIDI controller for ZynAddSubFX
Exec=%{_bindir}/controller
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Midi
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples html *.txt ZynAddSubFX.lsm 
%doc  ExternalPrograms/Spliter/readme.txt
%_bindir/zynaddsubfx
%_bindir/spliter
%_bindir/controller
%_menudir/%name
%{_datadir}/applications/mandriva-zynaddsubfx.desktop
%{_datadir}/applications/mandriva-controller.desktop
%{_datadir}/applications/mandriva-spliter.desktop
%changelog
* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.1-2mdv2007.0
- XDG
- Use mkrel 

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- New release 2.2.1

* Sat Apr  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- rediff the patch
- New release 2.2.0

* Sun Oct  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Sat Oct  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- New release 2.1.0

* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- rediff patch
- new version

* Thu Aug 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre2.2mdk
- fix buildrequires

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre2.1mdk
- drop patch 1
- rediff patch 0
- new version

* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre1.1mdk
- patch1: fix mxml build
- disable fftw fix
- depend on mxml
- rediff patch
- add source URLs
- new version

* Fri Sep 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-2mdk
- fix buildrequires
- fix fftw build, thanks to Torbjrn Turpeinen

* Sun Aug 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- drop prefix
- new version

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-2mdk
- small build fix

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- new version

* Thu May  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- new version

* Mon Apr  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new version

* Fri Mar 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- rediff the patch 
- new version

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.9-1mdk
- fix doc file list
- add Controller
- fix buildrequires
- new version

* Fri Feb 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-1mdk
- new version

* Fri Feb  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.7-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- add spliter
- enable jack output
- patch configuration and optflags into Makefile
- new version

* Fri Jan 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- new version

* Sat Dec 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- initial package

